%define major     10
%define libname   %mklibname xvega %major
%define develname %mklibname xvega -d


Name:           xvega
Version:        0.1.1
Release:        %mkrel 1
Summary:        xvega api for c++

License:        BSD
URL:            https://github.com/QuantStack/xvega.git
Source0:        https://github.com/QuantStack/xvega/archive/%{version}/%{name}-%{version}.tar.gz
Group:          System/Libraries
BuildRequires:  cmake
BuildRequires:  xtl-devel
BuildRequires:  gtest-devel
BuildRequires:  doctest
Patch0: cmake.patch

%description
Bindings for xvega

%prep
%autosetup -p1

%build
%cmake -DXVEGA_BUILD_TESTS=ON -DXVEGA_BUILD_STATIC=OFF .
%cmake_build

%install
%cmake_install

%check
pushd build/test
make xtest
popd

%package -n %{libname}
Summary:        %{summary}
Provides: xvega-libs = %{version}-%{release}

%description -n %{libname}
Bindings for xvega

%package -n %{develname}
Summary:        %{summary}
Provides: xvega-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

%description -n %{develname}
Development files for %{name} library.

%files -n %{libname}
%{_libdir}/libxvega.so.%{version}

%files -n %{develname}
%doc README.md
%license LICENSE
%{_libdir}/libxvega.so
%{_libdir}/libxvega.so.0
%{_includedir}/xvega/
%{_libdir}/cmake/xvega/


%changelog
* Wed Jul 17 2024 papoteur <papoteur> 0.1.1-1.mga10
+ Revision: 2081877
- new version 0.1.1

* Sun Dec 18 2022 joequant <joequant> 0.0.10-2.mga9
+ Revision: 1925180
- rebuild with gcc12

* Sun Jun 26 2022 joequant <joequant> 0.0.10-1.mga9
+ Revision: 1866320
- imported package xvega

